﻿$ErrorActionPreference = 'Stop';


$packageName= 'dwarf-fortress'
#$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
#$fileLocation = Join-Path $toolsDir 'NAME_OF_EMBEDDED_ZIP_FILE'

$packageArgs = @{
  packageName   = $packageName
  #unzipLocation = $toolsDir
  url           = 'http://www.bay12games.com/dwarves/df_44_11_win32.zip' # download url, HTTPS preferred
  url64bit      = 'http://www.bay12games.com/dwarves/df_44_11_win.zip' # 64bit URL here (HTTPS preferred) or remove - if installer contains both (very rare), use $url
  #file         = $fileLocation
  #fileFullPath = $fileLocation
  destination   = "C:\opt\df"

  checksum      = '370c8a705340125b6941665af02515ebc5dee73c05d8f3a612908efac6cba29b'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksum64    = 'eba081e01a1689d8073d3ac2b7e678cd775282404d001fde60b258e675d8befb'
  checksumType64= 'sha256'
}

# https://chocolatey.org/docs/helpers-install-chocolatey-zip-package
Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyShortcut -ShortcutFilePath "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Dwarf Fortress.lnk" `
 -TargetPath "C:\opt\df\Dwarf Fortress.exe" `
 -WorkingDirectory "C:\opt\df"
 
## Unzips a file to the specified location - auto overwrites existing content
## - https://chocolatey.org/docs/helpers-get-chocolatey-unzip
#Get-ChocolateyUnzip @packageArgs
